Program Facer;
{$G+}
Uses CRT;
var
  S : String;
  i : Byte;
{------------------}
Procedure WaitRetrace;Assembler;
asm
             push dx
             mov  dx, 03DAh
@VRTL1:
             in   al, dx
             test al, 8
             jnz  @VRTL1
@VRTL2:
             in al, dx
             test   al, 8
             jz     @VRTL2
             pop    dx
             ret
end;
{------------------}
Procedure CursorOff;Assembler;
asm
 mov ah, 1
 mov ch, $20
 int $10
end;
{------------------}
Procedure CursorOn;Assembler;
asm
 mov ah, 1
 mov ch, 6
 mov cl, 7
 int $10
end;
{------------------}
Function InitMouse:Boolean;Assembler;
asm
        mov ax, 0
        int 33h
end;
Procedure ShowMouse;Assembler;
asm
        mov ax, 1
        int 33h
end;
Procedure HideMouse;Assembler;
asm
        mov ax, 2
        int 33h
end;
Function MouseButt:Word;Assembler;
asm
        mov ax, 3
        int 33h
        mov ax, bx
end;
Function MouseX:Word;Assembler;
asm
        mov ax, 3
        int 33h
        mov ax, cx
        shr ax, 3
        inc ax
end;
Function MouseY:Word;Assembler;
asm
        mov ax, 3
        int 33h
        mov ax, dx
        shr ax, 3
        inc ax
end;
{---------------------}
Function MouseIn(x1, y1, x2, y2 : Word) : Boolean;
begin
  MouseIn := (MouseX>=x1) and (MouseX<=x2) and (MouseY>=y1) and (MouseY<=y2);
end;
{[][][][][][][][][][][][}
Procedure SetTxPoint(X,Y,ColorTx,BkColorTx:Byte;C:Char);Assembler;
asm
        push ds
        mov ax, $B800
        mov ds, ax
        mov ah, 0
        mov bh, 0
        mov bl, byte ptr x
        cmp bx, 80
        ja  @1

        mov al, byte ptr y
        cmp ax, 25
        ja  @1

        dec ax
        mov cl, 80
        mul cl
        dec bx
        add bx, ax

        mov cl, byte ptr ColorTx
        and cl, $8F
        mov dl, BkColorTx
        mov al, dl
        and dl, $7
        shl dl, 4
        and al, $80
        or  dl, al
        or  dl, cl

        mov al, byte ptr C
        mov ah, dl
        shl bx, 1
        mov ds:[bx], ax
@1:
        pop ds
end;
Procedure LineTx(X1, Y1, X2, Y2 : Byte; ColorTX, BkColor : Byte; C : Char);
var
  i : Integer;
  dx, dy, D : Real;
begin
  D := sqrt(sqr(X1-X2)+sqr(Y1-Y2));
  dX := (X2-X1)/D;
  dY := (Y2-Y1)/D;
  for i := 0 to Round(D) do
    SetTxPoint(X1 + Round(dX*i), Y1 + Round(dY*i), ColorTx, BkColor, C)
end;
Procedure FillBarTx(X1, Y1, X2, Y2, ChColor, BkChColor, FillChColor,
                    FillBkChColor : Byte; C, FillC : Char);
var
  i, j, X, Y : Byte;
begin
  if X1<X2 then X := X1 else X := X2;
  if Y1<Y2 then Y := Y1 else Y := Y2;
  for i := 0 to Abs(X1-X2) do
    for j := 0 to Abs(Y1-Y2) do
      if (X + i = X1) or (Y + j = Y2) or (X + i = X2) or (Y + j = Y1)
       then SetTxPoint(X+i, Y+j, ChColor, BkChColor, C)
       else SetTxPoint(X+i, Y+j, FillChColor, FillBkChColor, FillC);
end;
Procedure ArcTx(X, Y, RadX, RadY: Byte; BgAngle, EndAngle: Word;
                 ChColor, BkChColor, FillChColor, FillBkChColor : Byte;
                 C, FillC : Char);
const
  Grad: Real = Pi/180.0;
var
  X1, Y1, Ya, Yb, RzA, i, j : Integer;
  A : Real;
  z : Boolean;
begin
  A := Grad*BgAngle;
  RzA := Abs(EndAngle-BgAngle);
  if RzA > 360 then z := True else z := False;
    if z then
    begin
      A := Pi/2;
      Ya := Round(Y + RadY*sin(A));
      Yb := Round(Y + RadY*sin(Grad*180+A));
      for i := 0 to 180 do
       begin
        X1 := Round(X + RadX*cos(Grad*i+A));
        Y1 := Round(Y + RadY*sin(Grad*i+A));
        if (Y1>Yb) and (Y1<Ya) then
        for j := 1 to Abs(Round(RadX*(cos(Grad*i+A)-cos(-Grad*i+A))))-1 do
        SetTxPoint(X1+j, Y1, FillChColor, FillBkChColor, FillC);
       end;
    end;
     for i := 1 to RzA do
       begin
        X1 := Round(X + RadX*cos(Grad*i+A));
        Y1 := Round(Y - RadY*sin(Grad*i+A));
        SetTxPoint(X1, Y1, ChColor, BkChColor, C);
       end;
end;
{-------------------}
Procedure Ears(k : Byte);  {}
begin
  case K of
  0:
   begin
    ArcTx(9, 12, 2, 4, 0, 361, Yellow, Black, Yellow, Black, '', '');
    ArcTx(71, 12, 2, 4, 0, 361, Yellow, Black, Yellow, Black, '', '');
   end
  end;
end;
Procedure Eyes(k : Byte);  {}
begin
  case K of
  0:{ଠ}
   begin
    ArcTx(28, 10, 7, 2, 0, 361, Yellow, Black, Yellow, Black, '', '');
    ArcTx(52, 10, 7, 2, 0, 361, Yellow, Black, Yellow, Black, '', '');
    ArcTx(28, 10, 6, 1, 0, 361, LightGray, Black, White, Black, '', '');
    ArcTx(52, 10, 6, 1, 0, 361, LightGray, Black, White, Black, '', '');
    LineTx(27, 10, 29, 10, DarkGray, Brown, '');
    LineTx(51, 10, 53, 10, DarkGray, Brown, '');
    SetTxPoint(28, 10, Black, Brown,'');
    SetTxPoint(52, 10, Black, Brown,'');
   end;
  1:{}
   begin
    ArcTx(28, 10, 7, 2, 0, 361, Yellow, Black, Yellow, Black, '', '');
    ArcTx(52, 10, 7, 2, 0, 361, Yellow, Black, Yellow, Black, '', '');
    ArcTx(28, 10, 7, 1, 0, 361, LightGray, Black, White, Black, '', '');
    ArcTx(52, 10, 7, 1, 0, 361, LightGray, Black, White, Black, '', '');
    LineTx(26, 10, 30, 10, DarkGray, Brown, '');
    LineTx(50, 10, 54, 10, DarkGray, Brown, '');
    SetTxPoint(28, 10, Black, Brown,'');
    SetTxPoint(52, 10, Black, Brown,'');
   end;
  2:{㣠-1}
   begin
    ArcTx(28, 10, 7, 2, 0, 361, Yellow, Black, Yellow, Black, '', '');
    ArcTx(52, 10, 7, 2, 0, 361, Yellow, Black, Yellow, Black, '', '');
    ArcTx(28, 10, 6, 2, 0, 361, LightGray, Black, White, Black, '', '');
    ArcTx(52, 10, 6, 2, 0, 361, LightGray, Black, White, Black, '', '');
    LineTx(27, 10, 29, 10, DarkGray, Brown, '');
    LineTx(51, 10, 53, 10, DarkGray, Brown, '');
    SetTxPoint(28, 10, Black, Brown,'');
    SetTxPoint(52, 10, Black, Brown,'');
   end;
  3:{㣠-2}
   begin
    ArcTx(28, 10, 7, 2, 0, 361, Yellow, Black, Yellow, Black, '', '');
    ArcTx(52, 10, 7, 2, 0, 361, Yellow, Black, Yellow, Black, '', '');
    ArcTx(28, 10, 6, 2, 0, 361, LightGray, Black, White, Black, '', '');
    ArcTx(52, 10, 6, 2, 0, 361, LightGray, Black, White, Black, '', '');
    FillBarTx(27, 9, 29, 11, DarkGray, Brown, White, Black, '', '');
    FillBarTx(51, 9, 53, 11, DarkGray, Brown, White, Black, '', '');
    SetTxPoint(28, 10, Black, Brown,'');
    SetTxPoint(52, 10, Black, Brown,'');
   end;
  4:{   - ࠢ}
   begin
    ArcTx(52, 10, 7, 2, 0, 361, Yellow, Black, Yellow, Black, '', '');
    LineTx(47, 10, 57, 10, LightGray, Black, '');
   end;
  5:{ ࠢ  - ᫥}
   begin
    ArcTx(28, 10, 7, 2, 0, 361, Yellow, Black, Yellow, Black, '', '');
    LineTx(23, 10, 33, 10, LightGray, Black, '');
   end;
end;
end;
Procedure Brows(k : Byte);  {஢}
begin
  case K of
  0:
   begin
    ArcTx(28, 9, 10, 2, 10, 170, Black, Brown, Black, Black, '', '');
    ArcTx(52, 9, 10, 2, 10, 170, Black, Brown, Black, Black, '', '');
   end
  end;
end;
Procedure Hair(k : Byte);  {}
begin
  case K of
  0:
   begin
    ArcTx(40, 3, 20, 3, 0, 361, Brown, Black, Brown, Black, '', '');
    ArcTx(17, 5, 11, 2, 0, 361, Brown, Black, Brown, Black, '', '');
    ArcTx(63, 4, 11, 2, 0, 361, Brown, Black, Brown, Black, '', '');
    ArcTx(13, 8, 8, 2, 0, 361, Brown, Black, Brown, Black, '', '');
    ArcTx(68, 8, 8, 2, 0, 361, Brown, Black, Brown, Black, '', '');
    ArcTx(41, 3, 8, 2, 0, 361, Brown, Black, Brown, Black, '', '');
   end
  end;
end;
Procedure Nose(k : Byte);  {}
begin
  case K of
  0:
   begin
    FillBarTx(37, 11, 43, 14, Yellow, Black, Yellow, Black, '', '');
    FillBarTx(34, 15, 46, 17, Yellow, Black, Yellow, Black, '', '');
    FillBarTx(39, 12, 41, 15, Yellow, Black, Yellow, Black, '', '');
    LineTx(40, 11, 40, 15, Yellow, Black, '');
    ArcTx(40, 16, 6, 1, 0, 361, Yellow, Black, Yellow, Black, '', '');
    LineTx(38, 14, 42, 14, Yellow, Black, '');
   end;
  1:
   begin
    FillBarTx(39, 13, 41, 15, Yellow, Black, Yellow, Black, '', '');
    LineTx(40, 11, 40, 15, Yellow, Black, '');
    ArcTx(40, 16, 6, 1, 0, 361, Yellow, Black, Yellow, Black, '', '');
    LineTx(37, 14, 43, 14, Yellow, Black, '');
   end;
  end;
end;
Procedure Whiskers(k : Byte);  {}
begin
  case K of
  0:
   begin
    FillBarTx(31, 18, 49, 19, Yellow, Black, Yellow, Black, '', '');
    LineTx(39, 19, 28, 17, Brown, Black, '');
    LineTx(41, 19, 52, 17, Brown, Black, '');
   end;
  1:
   begin
    FillBarTx(31, 18, 49, 19, Yellow, Black, Yellow, Black, '', '');
    LineTx(31, 18, 49, 18, Brown, Black, '');
   end;
  2:
   begin
    FillBarTx(31, 18, 49, 19, Yellow, Black, Yellow, Black, '', '');
    LineTx(39, 20, 28, 17, Brown, Black, '');
    LineTx(41, 20, 52, 17, Brown, Black, '');
   end;
  end;
end;
Procedure Roth(k : Byte);  {}
begin
  case k of
  0:{롪}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    ArcTx(40, 21, 8, 1, 0, 361, LightRed, Black, Red, Black, '', '');
    LineTx(34, 21, 46, 21, LightRed, Red, '');
    LineTx(34, 21, 27, 19, LightRed, Black, '');
    LineTx(46, 21, 53, 19, LightRed, Black, '');
   end;
  1:{""-1}
   begin
    Whiskers(1);
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    ArcTx(40, 21, 8, 2, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  2:{""-2}
   begin
    Whiskers(1);
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    ArcTx(40, 21, 7, 2, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  3:{""-3}
   begin
    Whiskers(1);
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    ArcTx(40, 22, 7, 2, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  4:{""-4}
   begin
    Whiskers(1);
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    ArcTx(40, 22, 4, 2, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  5:{""-5}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    ArcTx(40, 22, 4, 1, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  6:{""-6}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    ArcTx(40, 22, 3, 1, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  7:{""-7}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    ArcTx(40, 22, 2, 1, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  8:{""-8}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    ArcTx(40, 22, 1, 1, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  9:{" "-1}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(2);
    FillBarTx(32, 21, 48, 23, LightRed, Black, Red, Black, '', '');
   end;
  10:{롪-2}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    ArcTx(40, 22, 8, 1, 0, 361, LightRed, Black, Red, Black, '', '');
    LineTx(34, 22, 46, 22, LightRed, Red, '');
    LineTx(34, 22, 27, 20, LightRed, Black, '');
    LineTx(46, 22, 53, 20, LightRed, Black, '');
   end;
  11:{" "-2("")}
   begin
    Whiskers(1);
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    FillBarTx(32, 20, 48, 23, LightRed, Black, Red, Black, '', '');
   end;
  12:{" "-3("")}
   begin
    Whiskers(1);
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    FillBarTx(34, 19, 46, 24, LightRed, Black, Red, Black, '', '');
   end;
  13:{" "-4("")}
   begin
    Whiskers(1);
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    FillBarTx(34, 20, 46, 23, LightRed, Black, Red, Black, '', '');
   end;
  14:{" "-5("")}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    FillBarTx(36, 20, 44, 23, LightRed, Black, Red, Black, '', '');
   end;
  15:{" "-6("")}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    FillBarTx(38, 20, 42, 23, LightRed, Black, Red, Black, '', '');
   end;
  16:{" "-1}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    FillBarTx(34, 21, 46, 22, LightRed, Black, Red, Black, '', '');
   end;
  17:{" "-2}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    FillBarTx(34, 22, 46, 23, LightRed, Black, Red, Black, '', '');
   end;
  18:{""-1}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    ArcTx(40, 22, 10, 2, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  19:{""-1}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    ArcTx(40, 22, 9, 1, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  20:{""-1}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    LineTx(34, 22, 46, 22, LightRed, Black, '');
    ArcTx(40, 22, 4, 1, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  21:{">-<"}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    LineTx(33, 22, 47, 22, LightRed, Black, '');
    ArcTx(40, 22, 3, 1, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  22:{"<->"}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    LineTx(33, 22, 47, 22, LightRed, Black, '');
    ArcTx(40, 22, 2, 1, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  23:{""}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(0);
    LineTx(37, 22, 43, 22, LightRed, Black, '');
    ArcTx(40, 22, 1, 1, 0, 361, LightRed, Black, Red, Black, '', '');
   end;
  24:{}
   begin
    FillBarTx(27, 19, 53, 22, Yellow, Black, Yellow, Black, '', '');
    LineTx(30, 23, 50, 23, Yellow, Black, '');
    LineTx(32, 24, 48, 24, Yellow, Black, '');
    Whiskers(1);
    ArcTx(40, 22, 8, 2, 0, 361, LightRed, Black, Red, Black, '', '');
    LineTx(37, 22, 43, 22, LightRed, Red, '');
    LineTx(37, 22, 35, 24, LightRed, Red, '');
    LineTx(37, 24, 43, 22, LightRed, Red, '');
    LineTx(38, 23, 36, 24, LightRed, Red, '');
    LineTx(34, 22, 27, 20, LightRed, Black, '');
    LineTx(46, 22, 53, 20, LightRed, Black, '');
   end;
  end;
end;
Procedure Face(_Ears, _Eyes, _Brows, _Hair, _Nose, _Roth, _Whi : Byte; z: Boolean);
begin
  {}
  if z then
  ArcTx(40, 13, 30, 12, 0, 361, Yellow, Black, Yellow, Black, '', '');
  Ears(_Ears);
  Eyes(_Eyes);
  Brows(_Brows);
  Hair(_Hair);
  Nose(_Nose);
  Roth(_Roth);
  Whiskers(_Whi);
end;
begin
  if not InitMouse then
  begin
    WriteLn('ன⢮ -    !!!');
    Halt($FFFF);
  end;
  CursorOff;
  ShowMouse;
  TextBackGround(Black);
  ClrScr;
  Face(0, 0, 0, 0, 1, 10, 2, True);
  Randomize;
  Face(0, 1, 0, 0, 1, 10, 0, True);
  While (not KeyPressed) and (MouseButt <> 2) do
  begin
   i:=Random(6);
   WaitRetrace;
   Eyes(i);
   i := Round(Random(2));
   WaitRetrace;
   Nose(i);
   i := Random(3);
   WaitRetrace;
   Whiskers(i);
   i := Random(25);
   WaitRetrace;
   Roth(i);
   Delay(1000);
  end;
  While Keypressed do ReadKey;
  While MouseButt=2 do;
  While (MouseButt <> 2) and (not KeyPressed) do
  begin
    if MouseButt = 1 then
     begin
       if MouseIn(1, 1, 1, 1) then Exit;
       if MouseIn(23, 9, 33, 11) then
       begin
         Eyes(5);
         Roth(16);
         Delay(2000);
         Roth(22);
         Eyes(0);
       end;
       if MouseIn(47, 9, 57, 11) then
       begin
         Eyes(4);
         Roth(17);
         Delay(3000);
         Roth(21);
         Eyes(1);
       end;
       if MouseIn(37, 12, 43, 14) then
       begin
         Eyes(3);
       end;
       if MouseIn(35, 15, 45, 17) then
       begin
         Eyes(2);
         Nose(1);
       end;
       if MouseIn(38, 9, 42, 10) then
       begin
         Eyes(1);
       end;
       if MouseIn(14, 13, 26, 17) then
       begin
         Eyes(0);
         Nose(0);
         Roth(0);
       end;
       if MouseIn(54, 13, 65, 17) then
       begin
         Roth(10);
         Eyes(0);
         Nose(1);
       end;
       if MouseIn(29, 18, 51, 19) then Roth(15);
       if MouseIn(32, 25, 48, 25) then Roth(24);
       if Random < 0.0001 then
       begin
         Eyes(5);
         Eyes(4);
         Roth(19);
         Delay(2000);
         Roth(20);
         Eyes(2);
       end;
{       GotoXy(1, 1);
       Write('  ', MouseX, '  ');
       GotoXy(1, 2);
       Write('  ', MouseY, '  ');
       GotoXy(1, 3);
       Write('  ', Random, '  ');}
     end;
  end;
  Eyes(0);
  HideMouse;
  CursorOn;
end.